import { defineComponent as i, useCssVars as C, unref as a, reactive as h, toRefs as v, openBlock as c, createElementBlock as n, Fragment as b, renderList as k, createElementVNode as r, normalizeClass as y, toDisplayString as x } from "vue";
const E = { class: "bottom" }, z = ["onClick"], B = ["src"], F = i({ name: "EFooter01" }), j = /* @__PURE__ */ i({
  ...F,
  props: {
    chartConfig: {
      type: Object,
      required: !0
    },
    index: {
      type: Number,
      default: 1
    }
  },
  emits: ["tabChange"],
  setup(l, { emit: p }) {
    const u = l;
    C((o) => ({
      "2d915d27": a(g) + "px",
      "633ec30a": a(_),
      "153d09ae": a(f) + "px"
    }));
    const t = h({
      list: [],
      act: 0
    }), d = (o) => {
      t.act = o, p("tabChange", t.act);
    }, { datas: m, titleColor: _, titleSize: f, titleTop: g } = v(
      u.chartConfig.option
    );
    return t.list = m, (o, N) => (c(), n("div", E, [
      (c(!0), n(b, null, k(t.list, (s, e) => (c(), n("div", {
        key: e,
        onClick: (S) => d(e)
      }, [
        r("div", null, [
          r("span", {
            class: y({ active: e == t.act })
          }, x(s.name), 3),
          r("img", {
            src: e == t.act ? s.actImg : s.img
          }, null, 8, B)
        ])
      ], 8, z))), 128))
    ]));
  }
});
export {
  j as default
};
